| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ContactClientTypes Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- ContactClientTypes ()
- ContactClientTypes (const QMap< uint, QStringList > &a)
- ContactClientTypes & operator= (const QMap< uint, QStringList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QStringList>, but needed to have a discrete type in the Qt type system.

A mapping from contact handle to client types.

## Constructor & Destructor Documentation

Tp::ContactClientTypes::ContactClientTypes | ( |  | ) | `[inline]`

Tp::ContactClientTypes::ContactClientTypes | ( | const QMap< uint, QStringList > & | a | ) | `[inline]`

## Member Function Documentation

ContactClientTypes& Tp::ContactClientTypes::operator= | ( | const QMap< uint, QStringList > & | a | ) | `[inline]`